江苏省吴江市双板桥路3号兴源网络

0512-63028342

ly@wjxy.net.cn

Proxmox VE(PVE) 6.X 升级到 7.0

首先需要升级到6.4的最新版本
删除企业源

1.删除无用的内核

#查看当前用的内核 uname -a

查看系统有多少个内核 dpkg --get-selections |grep kernel

dpkg –purge –force-remove-essential pve-kernel-5.x

dpkg –purge –force-remove-essential pve-kernel-5.x.x.-pve

2.删除企业源

rm /etc/apt/sources.list.d/pve-enterprise.list

3.更新系统目前软件包到最新版

apt-get update

apt-get upgrade

apt-get dist-upgrade (生产环境慎用)

4.运行检查:

pve6to7 –full

我的有三个警告:虚拟机未全部关机、NAS-239的NFS配置文件变动、debian 安全源未检测到

以下可以忽略,继续

5.将所有 Debian 存储库条目更新到 Bullseye。

sed -i 's/buster\/updates/bullseye-security/g;s/buster/bullseye/g' /etc/apt/sources.list

修改完成后的sources.list


6.添加 Proxmox VE 7 软件包存储库

收费版使用(慎用)

echo "deb https://enterprise.proxmox.com/debian/pve bullseye pve-enterprise" > /etc/apt/sources.list.d/pve-enterprise.list

社区版使用:

sed -i -e 's/buster/bullseye/g' /etc/apt/sources.list.d/pve-install-repo.list

修改后pve-install-repo.list

(仅限 Ceph)用 proxmox.com ceph 存储库替换 ceph.com 存储库

echo "deb http://download.proxmox.com/debian/ceph-octopus Bullseye main" > /etc/apt/sources.list.d/ceph.list

如果有 backports 行,请将其删除 – 升级尚未使用安装的 backports 存储库中的软件包进行测试。

更新存储库的数据:

7.开始升级

apt update

apt dist-upgrade
以上最好国外线路,否则70%后会很慢

8.此处跳出警告,回车继续

9.此处弹出说明,按q回车退出

10.此处是更新欢迎提示,按默认N回车

11.此处问你要不要使用PVE订阅源,直接N

12.等待完成后,重启PVE系统

apt update

apt full-upgrade

apt autoremove

apt clean

管理器版本已升级到7.0

如果命令成功退出,您可以重新启动系统以使用新的 PVE 内核。

发表评论

邮箱地址不会被公开。 必填项已用*标注